﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PrintServer
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class PrintDbEntities : DbContext
    {
        public PrintDbEntities()
            : base("name=PrintDbEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<CompanyTbl> CompanyTbls { get; set; }
        public virtual DbSet<PrintSettingsTbl> PrintSettingsTbls { get; set; }
        public virtual DbSet<PrintTbl> PrintTbls { get; set; }
        public virtual DbSet<ProductTbl> ProductTbls { get; set; }
        public virtual DbSet<SalesDetailTbl> SalesDetailTbls { get; set; }
        public virtual DbSet<SalesTbl> SalesTbls { get; set; }
        public virtual DbSet<Table> Tables { get; set; }
    }
}
